Bug 180421 - WebDriver: get active element should return no such element error when there isn't an active element
Summary: WebDriver: get active element should return no such element error when there ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebDriver (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-12-05 06:22 PST by Carlos Garcia Campos
Modified: 2017-12-11 00:31 PST (History)
2 users (show)

See Also:


Attachments
Patch (1.55 KB, patch)
2017-12-05 06:24 PST, Carlos Garcia Campos
bburg: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2017-12-05 06:22:49 PST
We currently return unknown error. This is not in the spec yet, but will be soon, see https://github.com/w3c/webdriver/pull/1157. Test imported/w3c/webdriver/tests/element_retrieval/get_active_element.py::test_missing_document_element was added for it.
Comment 1 Carlos Garcia Campos 2017-12-05 06:24:55 PST
Created attachment 328447 [details]
Patch
Comment 2 Brian Burg 2017-12-08 14:00:20 PST
Comment on attachment 328447 [details]
Patch

rs=me
Comment 3 Carlos Garcia Campos 2017-12-11 00:30:34 PST
Committed r225739: <https://trac.webkit.org/changeset/225739>
Comment 4 Radar WebKit Bug Importer 2017-12-11 00:31:18 PST
<rdar://problem/35962786>